Generation Framework

## org.eclipse.gmf.gmfgraph
Interface LayoutData

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  BorderLayoutData, CustomLayoutData, GridLayoutData, XYLayoutData

All Known Implementing Classes:
  BorderLayoutDataImpl, CustomLayoutDataImpl, GridLayoutDataImpl, XYLayoutDataImpl

    public interface LayoutData

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Layout Data'.

The following features are supported:

- `Owner`

See Also:
  `GMFGraphPackage.getLayoutData()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`Layoutable` `getOwner()` Returns the value of the 'Owner' container reference.
`void` `setOwner(Layoutable value)` Sets the value of the '`Owner`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    Layoutable getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is '`Layout Data`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `setOwner(Layoutable)`, `GMFGraphPackage.getLayoutData_Owner()`, `Layoutable.getLayoutData()`
  ** Generated **
  Model:
    opposite="layoutData" required="true" transient="false"

### setOwner

    void setOwner(Layoutable value)

  Sets the value of the '`Owner`' container reference.

  Parameters:
    `value` - the new value of the 'Owner' container reference.
  See Also:
    `getOwner()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.